summaryrefslogtreecommitdiff
path: root/Master/texmf-dist/doc/fonts/drm/allfonts.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Master/texmf-dist/doc/fonts/drm/allfonts.sh')
-rwxr-xr-xMaster/texmf-dist/doc/fonts/drm/allfonts.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/Master/texmf-dist/doc/fonts/drm/allfonts.sh b/Master/texmf-dist/doc/fonts/drm/allfonts.sh
new file mode 100755
index 00000000000..8ce547c031f
--- /dev/null
+++ b/Master/texmf-dist/doc/fonts/drm/allfonts.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+# +AMDG
+
+for file in `ls drm*[0-9]*.mf`; do
+ echo "Compiling $file...";
+ mf -halt-on-error "\mode=localfont; input $file" &> /dev/null;
+ if [[ $? == 0 ]]; then
+ echo "$file successfully compiled!";
+ else
+ echo "FAIL: $file failed to compile!"
+ exit 1;
+ fi
+done
+echo "Massive winnage!"